#include <kubecontrol/kubecontrol.hpp>

#include <curl_easy.h>
#include <yaml-cpp/yaml.h>

#include <loguru.hpp>


namespace kubecontrol
{
    kubecontrol::kubecontrol(std::string pathToKubectlConfig)
    {
        
        YAML::Node config = YAML::LoadFile(pathToKubectlConfig);
        LOG_S(INFO)<< "test";
        curl::curl_easy easy;
        easy.add<CURLOPT_URL>("http://<your_url_here>");
        easy.add<CURLOPT_FOLLOWLOCATION>(1L);
    }

    void kubecontrol::getPods()
    {


    }

}